import{s as Wi,n as Fi,o as Gi}from"../chunks/scheduler.b108d059.js";import{S as Ji,i as Qi,g as s,s as o,r as n,A as Xi,h as a,f as t,c as r,j as u,u as p,x as d,k as c,y as Yi,a as i,v as f,d as m,t as b,w as h}from"../chunks/index.008de539.js";import{H as v}from"../chunks/Heading.88bfeb84.js";function Zi(Yl){let x,We,Ue,Fe,T,Ge,_,Je,$,Zl="Core utility functions/classes for Transformers.js.",Qe,y,ei=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Xe,C,ti='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.Callable"><code>.Callable</code></a> : <code>*</code></li> <li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isString"><code>.isString(text)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.exists"><code>.exists(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/core.get_bounding_box"><code>.get_bounding_box(box, asInteger)</code></a> ⇒ <code>Object</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li></ul></li></ul></li>',Ye,Ze,et,H,tt,g,lt,L,li="A base class for creating callable objects.",it,w,ii='<strong>Kind</strong>: static constant of <a href="#module_utils/core"><code>utils/core</code></a>',ot,rt,st,M,at,A,dt,P,oi="Reverses the keys and values of an object.",ct,j,ri='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',ut,E,si="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",nt,pt,ft,R,mt,k,bt,D,ai="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",ht,O,di='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',vt,K,ci="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",xt,Tt,_t,B,$t,I,yt,z,ui="Check if a value is a string.",Ct,S,ni='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',Ht,q,pi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>text</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",gt,Lt,wt,N,Mt,U,At,V,fi="Check if a value is a typed array.",Pt,W,mi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',jt,F,bi='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',Et,G,hi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Rt,kt,Dt,J,Ot,Q,Kt,X,vi="Check if a value is an integer.",Bt,Y,xi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',It,Z,Ti="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",zt,St,qt,ee,Nt,te,Ut,le,_i="Check if a value is exists.",Vt,ie,$i='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value exists, false otherwise.',Wt,oe,yi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Ft,Gt,Jt,re,Qt,se,Xt,ae,Ci="Calculates the dimensions of a nested array.",Yt,de,Hi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - An array containing the dimensions of the input array.',Zt,ce,gi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",el,tl,ll,ue,il,ne,ol,pe,Li="Replicate python’s .pop() method for objects.",rl,fe,wi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',sl,me,Mi="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",al,be,Ai="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",dl,cl,ul,he,nl,ve,pl,xe,Pi=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,fl,Te,ji='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',ml,_e,Ei="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",bl,hl,vl,$e,xl,ye,Tl,Ce,Ri="Calculates the index offset for a given index and window size.",_l,He,ki='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',$l,ge,Di="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",yl,Cl,Hl,Le,gl,we,Ll,Me,Oi="Helper function to convert list [xmin, xmax, ymin, ymax] into object { “xmin”: xmin, … }",wl,Ae,Ki='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The bounding box as an object.',Ml,Pe,Bi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>box</td><td><code>Array.&lt;number&gt;</code></td><td><p>The bounding box as a list.</p></td> </tr><tr><td>asInteger</td><td><code>boolean</code></td><td><p>Whether to cast to integers.</p></td></tr></tbody>",Al,Pl,jl,je,El,Ee,Rl,Re,Ii='<strong>Kind</strong>: inner class of <a href="#module_utils/core"><code>utils/core</code></a>',kl,ke,zi='<li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li>',Dl,Ol,Kl,De,Bl,Oe,Il,Ke,Si="Creates a new instance of the Callable class.",zl,Sl,ql,Be,Nl,Ie,Ul,ze,qi=`This method should be implemented in subclasses to provide the
functionality of the callable object.`,Vl,Se,Ni='<strong>Kind</strong>: instance method of <a href="#module_utils/core..Callable"><code>Callable</code></a><br/> <strong>Throws</strong>:',Wl,qe,Ui="<li><code>Error</code> If the subclass does not implement the `_call` method.</li>",Fl,Ne,Vi="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>...args</td><td><code>Array.&lt;any&gt;</code></td></tr></tbody>",Gl,Jl,Ql,Ve,Xl;return _=new v({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),g=new v({props:{title:"utils/core.Callable : <code> * </code>",local:"utilscorecallable--code--code",headingTag:"h2"}}),A=new v({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),k=new v({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),I=new v({props:{title:"utils/core.isString(text) ⇒ <code> boolean </code>",local:"utilscoreisstringtext--code-boolean-code",headingTag:"h2"}}),U=new v({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),Q=new v({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),te=new v({props:{title:"utils/core.exists(x) ⇒ <code> boolean </code>",local:"utilscoreexistsx--code-boolean-code",headingTag:"h2"}}),se=new v({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array </code>",local:"utilscorecalculatedimensionsarr--code-array-code",headingTag:"h2"}}),ne=new v({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),ve=new v({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),ye=new v({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),we=new v({props:{title:"utils/core.get_bounding_box(box, asInteger) ⇒ <code> Object </code>",local:"utilscoregetboundingboxbox-asinteger--code-object-code",headingTag:"h2"}}),Ee=new v({props:{title:"utils/core~Callable",local:"utilscorecallable",headingTag:"h2"}}),Oe=new v({props:{title:"new Callable()",local:"new-callable",headingTag:"h3"}}),Ie=new v({props:{title:"callable._call(...args)",local:"callablecallargs",headingTag:"h3"}}),{c(){x=s("meta"),We=o(),Ue=s("p"),Fe=o(),T=s("a"),Ge=o(),n(_.$$.fragment),Je=o(),$=s("p"),$.textContent=Zl,Qe=o(),y=s("p"),y.textContent=ei,Xe=o(),C=s("ul"),C.innerHTML=ti,Ye=o(),Ze=s("hr"),et=o(),H=s("a"),tt=o(),n(g.$$.fragment),lt=o(),L=s("p"),L.textContent=li,it=o(),w=s("p"),w.innerHTML=ii,ot=o(),rt=s("hr"),st=o(),M=s("a"),at=o(),n(A.$$.fragment),dt=o(),P=s("p"),P.textContent=oi,ct=o(),j=s("p"),j.innerHTML=ri,ut=o(),E=s("table"),E.innerHTML=si,nt=o(),pt=s("hr"),ft=o(),R=s("a"),mt=o(),n(k.$$.fragment),bt=o(),D=s("p"),D.textContent=ai,ht=o(),O=s("p"),O.innerHTML=di,vt=o(),K=s("table"),K.innerHTML=ci,xt=o(),Tt=s("hr"),_t=o(),B=s("a"),$t=o(),n(I.$$.fragment),yt=o(),z=s("p"),z.textContent=ui,Ct=o(),S=s("p"),S.innerHTML=ni,Ht=o(),q=s("table"),q.innerHTML=pi,gt=o(),Lt=s("hr"),wt=o(),N=s("a"),Mt=o(),n(U.$$.fragment),At=o(),V=s("p"),V.textContent=fi,Pt=o(),W=s("p"),W.innerHTML=mi,jt=o(),F=s("p"),F.innerHTML=bi,Et=o(),G=s("table"),G.innerHTML=hi,Rt=o(),kt=s("hr"),Dt=o(),J=s("a"),Ot=o(),n(Q.$$.fragment),Kt=o(),X=s("p"),X.textContent=vi,Bt=o(),Y=s("p"),Y.innerHTML=xi,It=o(),Z=s("table"),Z.innerHTML=Ti,zt=o(),St=s("hr"),qt=o(),ee=s("a"),Nt=o(),n(te.$$.fragment),Ut=o(),le=s("p"),le.textContent=_i,Vt=o(),ie=s("p"),ie.innerHTML=$i,Wt=o(),oe=s("table"),oe.innerHTML=yi,Ft=o(),Gt=s("hr"),Jt=o(),re=s("a"),Qt=o(),n(se.$$.fragment),Xt=o(),ae=s("p"),ae.textContent=Ci,Yt=o(),de=s("p"),de.innerHTML=Hi,Zt=o(),ce=s("table"),ce.innerHTML=gi,el=o(),tl=s("hr"),ll=o(),ue=s("a"),il=o(),n(ne.$$.fragment),ol=o(),pe=s("p"),pe.textContent=Li,rl=o(),fe=s("p"),fe.innerHTML=wi,sl=o(),me=s("ul"),me.innerHTML=Mi,al=o(),be=s("table"),be.innerHTML=Ai,dl=o(),cl=s("hr"),ul=o(),he=s("a"),nl=o(),n(ve.$$.fragment),pl=o(),xe=s("p"),xe.innerHTML=Pi,fl=o(),Te=s("p"),Te.innerHTML=ji,ml=o(),_e=s("table"),_e.innerHTML=Ei,bl=o(),hl=s("hr"),vl=o(),$e=s("a"),xl=o(),n(ye.$$.fragment),Tl=o(),Ce=s("p"),Ce.textContent=Ri,_l=o(),He=s("p"),He.innerHTML=ki,$l=o(),ge=s("table"),ge.innerHTML=Di,yl=o(),Cl=s("hr"),Hl=o(),Le=s("a"),gl=o(),n(we.$$.fragment),Ll=o(),Me=s("p"),Me.textContent=Oi,wl=o(),Ae=s("p"),Ae.innerHTML=Ki,Ml=o(),Pe=s("table"),Pe.innerHTML=Bi,Al=o(),Pl=s("hr"),jl=o(),je=s("a"),El=o(),n(Ee.$$.fragment),Rl=o(),Re=s("p"),Re.innerHTML=Ii,kl=o(),ke=s("ul"),ke.innerHTML=zi,Dl=o(),Ol=s("hr"),Kl=o(),De=s("a"),Bl=o(),n(Oe.$$.fragment),Il=o(),Ke=s("p"),Ke.textContent=Si,zl=o(),Sl=s("hr"),ql=o(),Be=s("a"),Nl=o(),n(Ie.$$.fragment),Ul=o(),ze=s("p"),ze.textContent=qi,Vl=o(),Se=s("p"),Se.innerHTML=Ni,Wl=o(),qe=s("ul"),qe.innerHTML=Ui,Fl=o(),Ne=s("table"),Ne.innerHTML=Vi,Gl=o(),Jl=s("hr"),Ql=o(),Ve=s("p"),this.h()},l(e){const l=Xi("svelte-u9bgzb",document.head);x=a(l,"META",{name:!0,content:!0}),l.forEach(t),We=r(e),Ue=a(e,"P",{}),u(Ue).forEach(t),Fe=r(e),T=a(e,"A",{id:!0,class:!0}),u(T).forEach(t),Ge=r(e),p(_.$$.fragment,e),Je=r(e),$=a(e,"P",{"data-svelte-h":!0}),d($)!=="svelte-u71mwf"&&($.textContent=Zl),Qe=r(e),y=a(e,"P",{"data-svelte-h":!0}),d(y)!=="svelte-1r3ntfo"&&(y.textContent=ei),Xe=r(e),C=a(e,"UL",{"data-svelte-h":!0}),d(C)!=="svelte-l5fzzt"&&(C.innerHTML=ti),Ye=r(e),Ze=a(e,"HR",{}),et=r(e),H=a(e,"A",{id:!0,class:!0}),u(H).forEach(t),tt=r(e),p(g.$$.fragment,e),lt=r(e),L=a(e,"P",{"data-svelte-h":!0}),d(L)!=="svelte-1u9qjt4"&&(L.textContent=li),it=r(e),w=a(e,"P",{"data-svelte-h":!0}),d(w)!=="svelte-1vaez1e"&&(w.innerHTML=ii),ot=r(e),rt=a(e,"HR",{}),st=r(e),M=a(e,"A",{id:!0,class:!0}),u(M).forEach(t),at=r(e),p(A.$$.fragment,e),dt=r(e),P=a(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-dvlmk2"&&(P.textContent=oi),ct=r(e),j=a(e,"P",{"data-svelte-h":!0}),d(j)!=="svelte-14f6o7p"&&(j.innerHTML=ri),ut=r(e),E=a(e,"TABLE",{"data-svelte-h":!0}),d(E)!=="svelte-8if77n"&&(E.innerHTML=si),nt=r(e),pt=a(e,"HR",{}),ft=r(e),R=a(e,"A",{id:!0,class:!0}),u(R).forEach(t),mt=r(e),p(k.$$.fragment,e),bt=r(e),D=a(e,"P",{"data-svelte-h":!0}),d(D)!=="svelte-14ro5y0"&&(D.textContent=ai),ht=r(e),O=a(e,"P",{"data-svelte-h":!0}),d(O)!=="svelte-nstyrr"&&(O.innerHTML=di),vt=r(e),K=a(e,"TABLE",{"data-svelte-h":!0}),d(K)!=="svelte-1h5d263"&&(K.innerHTML=ci),xt=r(e),Tt=a(e,"HR",{}),_t=r(e),B=a(e,"A",{id:!0,class:!0}),u(B).forEach(t),$t=r(e),p(I.$$.fragment,e),yt=r(e),z=a(e,"P",{"data-svelte-h":!0}),d(z)!=="svelte-jvuywd"&&(z.textContent=ui),Ct=r(e),S=a(e,"P",{"data-svelte-h":!0}),d(S)!=="svelte-1n9m385"&&(S.innerHTML=ni),Ht=r(e),q=a(e,"TABLE",{"data-svelte-h":!0}),d(q)!=="svelte-zojxg3"&&(q.innerHTML=pi),gt=r(e),Lt=a(e,"HR",{}),wt=r(e),N=a(e,"A",{id:!0,class:!0}),u(N).forEach(t),Mt=r(e),p(U.$$.fragment,e),At=r(e),V=a(e,"P",{"data-svelte-h":!0}),d(V)!=="svelte-1oclrgb"&&(V.textContent=fi),Pt=r(e),W=a(e,"P",{"data-svelte-h":!0}),d(W)!=="svelte-1uuf78s"&&(W.innerHTML=mi),jt=r(e),F=a(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-pr567i"&&(F.innerHTML=bi),Et=r(e),G=a(e,"TABLE",{"data-svelte-h":!0}),d(G)!=="svelte-cdg32t"&&(G.innerHTML=hi),Rt=r(e),kt=a(e,"HR",{}),Dt=r(e),J=a(e,"A",{id:!0,class:!0}),u(J).forEach(t),Ot=r(e),p(Q.$$.fragment,e),Kt=r(e),X=a(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-1ityjuy"&&(X.textContent=vi),Bt=r(e),Y=a(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-1n9m385"&&(Y.innerHTML=xi),It=r(e),Z=a(e,"TABLE",{"data-svelte-h":!0}),d(Z)!=="svelte-6n2d7i"&&(Z.innerHTML=Ti),zt=r(e),St=a(e,"HR",{}),qt=r(e),ee=a(e,"A",{id:!0,class:!0}),u(ee).forEach(t),Nt=r(e),p(te.$$.fragment,e),Ut=r(e),le=a(e,"P",{"data-svelte-h":!0}),d(le)!=="svelte-1l2mf7d"&&(le.textContent=_i),Vt=r(e),ie=a(e,"P",{"data-svelte-h":!0}),d(ie)!=="svelte-1s16qo7"&&(ie.innerHTML=$i),Wt=r(e),oe=a(e,"TABLE",{"data-svelte-h":!0}),d(oe)!=="svelte-6n2d7i"&&(oe.innerHTML=yi),Ft=r(e),Gt=a(e,"HR",{}),Jt=r(e),re=a(e,"A",{id:!0,class:!0}),u(re).forEach(t),Qt=r(e),p(se.$$.fragment,e),Xt=r(e),ae=a(e,"P",{"data-svelte-h":!0}),d(ae)!=="svelte-1p78ixx"&&(ae.textContent=Ci),Yt=r(e),de=a(e,"P",{"data-svelte-h":!0}),d(de)!=="svelte-1tb7iu1"&&(de.innerHTML=Hi),Zt=r(e),ce=a(e,"TABLE",{"data-svelte-h":!0}),d(ce)!=="svelte-1kcvid9"&&(ce.innerHTML=gi),el=r(e),tl=a(e,"HR",{}),ll=r(e),ue=a(e,"A",{id:!0,class:!0}),u(ue).forEach(t),il=r(e),p(ne.$$.fragment,e),ol=r(e),pe=a(e,"P",{"data-svelte-h":!0}),d(pe)!=="svelte-1m1a0x7"&&(pe.textContent=Li),rl=r(e),fe=a(e,"P",{"data-svelte-h":!0}),d(fe)!=="svelte-1dwq64m"&&(fe.innerHTML=wi),sl=r(e),me=a(e,"UL",{"data-svelte-h":!0}),d(me)!=="svelte-n4a723"&&(me.innerHTML=Mi),al=r(e),be=a(e,"TABLE",{"data-svelte-h":!0}),d(be)!=="svelte-j5xxk1"&&(be.innerHTML=Ai),dl=r(e),cl=a(e,"HR",{}),ul=r(e),he=a(e,"A",{id:!0,class:!0}),u(he).forEach(t),nl=r(e),p(ve.$$.fragment,e),pl=r(e),xe=a(e,"P",{"data-svelte-h":!0}),d(xe)!=="svelte-kvbp1p"&&(xe.innerHTML=Pi),fl=r(e),Te=a(e,"P",{"data-svelte-h":!0}),d(Te)!=="svelte-1ydcymw"&&(Te.innerHTML=ji),ml=r(e),_e=a(e,"TABLE",{"data-svelte-h":!0}),d(_e)!=="svelte-stz7tp"&&(_e.innerHTML=Ei),bl=r(e),hl=a(e,"HR",{}),vl=r(e),$e=a(e,"A",{id:!0,class:!0}),u($e).forEach(t),xl=r(e),p(ye.$$.fragment,e),Tl=r(e),Ce=a(e,"P",{"data-svelte-h":!0}),d(Ce)!=="svelte-1m1ncmy"&&(Ce.textContent=Ri),_l=r(e),He=a(e,"P",{"data-svelte-h":!0}),d(He)!=="svelte-vsw9ui"&&(He.innerHTML=ki),$l=r(e),ge=a(e,"TABLE",{"data-svelte-h":!0}),d(ge)!=="svelte-xzg366"&&(ge.innerHTML=Di),yl=r(e),Cl=a(e,"HR",{}),Hl=r(e),Le=a(e,"A",{id:!0,class:!0}),u(Le).forEach(t),gl=r(e),p(we.$$.fragment,e),Ll=r(e),Me=a(e,"P",{"data-svelte-h":!0}),d(Me)!=="svelte-14wm335"&&(Me.textContent=Oi),wl=r(e),Ae=a(e,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-aw1fr8"&&(Ae.innerHTML=Ki),Ml=r(e),Pe=a(e,"TABLE",{"data-svelte-h":!0}),d(Pe)!=="svelte-10csxij"&&(Pe.innerHTML=Bi),Al=r(e),Pl=a(e,"HR",{}),jl=r(e),je=a(e,"A",{id:!0,class:!0}),u(je).forEach(t),El=r(e),p(Ee.$$.fragment,e),Rl=r(e),Re=a(e,"P",{"data-svelte-h":!0}),d(Re)!=="svelte-15n5joc"&&(Re.innerHTML=Ii),kl=r(e),ke=a(e,"UL",{"data-svelte-h":!0}),d(ke)!=="svelte-thd9hc"&&(ke.innerHTML=zi),Dl=r(e),Ol=a(e,"HR",{}),Kl=r(e),De=a(e,"A",{id:!0,class:!0}),u(De).forEach(t),Bl=r(e),p(Oe.$$.fragment,e),Il=r(e),Ke=a(e,"P",{"data-svelte-h":!0}),d(Ke)!=="svelte-hu496d"&&(Ke.textContent=Si),zl=r(e),Sl=a(e,"HR",{}),ql=r(e),Be=a(e,"A",{id:!0,class:!0}),u(Be).forEach(t),Nl=r(e),p(Ie.$$.fragment,e),Ul=r(e),ze=a(e,"P",{"data-svelte-h":!0}),d(ze)!=="svelte-8c74gj"&&(ze.textContent=qi),Vl=r(e),Se=a(e,"P",{"data-svelte-h":!0}),d(Se)!=="svelte-161nsqx"&&(Se.innerHTML=Ni),Wl=r(e),qe=a(e,"UL",{"data-svelte-h":!0}),d(qe)!=="svelte-7c1v8c"&&(qe.innerHTML=Ui),Fl=r(e),Ne=a(e,"TABLE",{"data-svelte-h":!0}),d(Ne)!=="svelte-1v34kj"&&(Ne.innerHTML=Vi),Gl=r(e),Jl=a(e,"HR",{}),Ql=r(e),Ve=a(e,"P",{}),u(Ve).forEach(t),this.h()},h(){c(x,"name","hf:doc:metadata"),c(x,"content",eo),c(T,"id","module_utils/core"),c(T,"class","group"),c(H,"id","module_utils/core.Callable"),c(H,"class","group"),c(M,"id","module_utils/core.reverseDictionary"),c(M,"class","group"),c(R,"id","module_utils/core.escapeRegExp"),c(R,"class","group"),c(B,"id","module_utils/core.isString"),c(B,"class","group"),c(N,"id","module_utils/core.isTypedArray"),c(N,"class","group"),c(J,"id","module_utils/core.isIntegralNumber"),c(J,"class","group"),c(ee,"id","module_utils/core.exists"),c(ee,"class","group"),c(re,"id","module_utils/core.calculateDimensions"),c(re,"class","group"),c(ue,"id","module_utils/core.pop"),c(ue,"class","group"),c(he,"id","module_utils/core.mergeArrays"),c(he,"class","group"),c($e,"id","module_utils/core.calculateReflectOffset"),c($e,"class","group"),c(Le,"id","module_utils/core.get_bounding_box"),c(Le,"class","group"),c(je,"id","module_utils/core..Callable"),c(je,"class","group"),c(De,"id","new_module_utils/core..Callable_new"),c(De,"class","group"),c(Be,"id","module_utils/core..Callable+_call"),c(Be,"class","group")},m(e,l){Yi(document.head,x),i(e,We,l),i(e,Ue,l),i(e,Fe,l),i(e,T,l),i(e,Ge,l),f(_,e,l),i(e,Je,l),i(e,$,l),i(e,Qe,l),i(e,y,l),i(e,Xe,l),i(e,C,l),i(e,Ye,l),i(e,Ze,l),i(e,et,l),i(e,H,l),i(e,tt,l),f(g,e,l),i(e,lt,l),i(e,L,l),i(e,it,l),i(e,w,l),i(e,ot,l),i(e,rt,l),i(e,st,l),i(e,M,l),i(e,at,l),f(A,e,l),i(e,dt,l),i(e,P,l),i(e,ct,l),i(e,j,l),i(e,ut,l),i(e,E,l),i(e,nt,l),i(e,pt,l),i(e,ft,l),i(e,R,l),i(e,mt,l),f(k,e,l),i(e,bt,l),i(e,D,l),i(e,ht,l),i(e,O,l),i(e,vt,l),i(e,K,l),i(e,xt,l),i(e,Tt,l),i(e,_t,l),i(e,B,l),i(e,$t,l),f(I,e,l),i(e,yt,l),i(e,z,l),i(e,Ct,l),i(e,S,l),i(e,Ht,l),i(e,q,l),i(e,gt,l),i(e,Lt,l),i(e,wt,l),i(e,N,l),i(e,Mt,l),f(U,e,l),i(e,At,l),i(e,V,l),i(e,Pt,l),i(e,W,l),i(e,jt,l),i(e,F,l),i(e,Et,l),i(e,G,l),i(e,Rt,l),i(e,kt,l),i(e,Dt,l),i(e,J,l),i(e,Ot,l),f(Q,e,l),i(e,Kt,l),i(e,X,l),i(e,Bt,l),i(e,Y,l),i(e,It,l),i(e,Z,l),i(e,zt,l),i(e,St,l),i(e,qt,l),i(e,ee,l),i(e,Nt,l),f(te,e,l),i(e,Ut,l),i(e,le,l),i(e,Vt,l),i(e,ie,l),i(e,Wt,l),i(e,oe,l),i(e,Ft,l),i(e,Gt,l),i(e,Jt,l),i(e,re,l),i(e,Qt,l),f(se,e,l),i(e,Xt,l),i(e,ae,l),i(e,Yt,l),i(e,de,l),i(e,Zt,l),i(e,ce,l),i(e,el,l),i(e,tl,l),i(e,ll,l),i(e,ue,l),i(e,il,l),f(ne,e,l),i(e,ol,l),i(e,pe,l),i(e,rl,l),i(e,fe,l),i(e,sl,l),i(e,me,l),i(e,al,l),i(e,be,l),i(e,dl,l),i(e,cl,l),i(e,ul,l),i(e,he,l),i(e,nl,l),f(ve,e,l),i(e,pl,l),i(e,xe,l),i(e,fl,l),i(e,Te,l),i(e,ml,l),i(e,_e,l),i(e,bl,l),i(e,hl,l),i(e,vl,l),i(e,$e,l),i(e,xl,l),f(ye,e,l),i(e,Tl,l),i(e,Ce,l),i(e,_l,l),i(e,He,l),i(e,$l,l),i(e,ge,l),i(e,yl,l),i(e,Cl,l),i(e,Hl,l),i(e,Le,l),i(e,gl,l),f(we,e,l),i(e,Ll,l),i(e,Me,l),i(e,wl,l),i(e,Ae,l),i(e,Ml,l),i(e,Pe,l),i(e,Al,l),i(e,Pl,l),i(e,jl,l),i(e,je,l),i(e,El,l),f(Ee,e,l),i(e,Rl,l),i(e,Re,l),i(e,kl,l),i(e,ke,l),i(e,Dl,l),i(e,Ol,l),i(e,Kl,l),i(e,De,l),i(e,Bl,l),f(Oe,e,l),i(e,Il,l),i(e,Ke,l),i(e,zl,l),i(e,Sl,l),i(e,ql,l),i(e,Be,l),i(e,Nl,l),f(Ie,e,l),i(e,Ul,l),i(e,ze,l),i(e,Vl,l),i(e,Se,l),i(e,Wl,l),i(e,qe,l),i(e,Fl,l),i(e,Ne,l),i(e,Gl,l),i(e,Jl,l),i(e,Ql,l),i(e,Ve,l),Xl=!0},p:Fi,i(e){Xl||(m(_.$$.fragment,e),m(g.$$.fragment,e),m(A.$$.fragment,e),m(k.$$.fragment,e),m(I.$$.fragment,e),m(U.$$.fragment,e),m(Q.$$.fragment,e),m(te.$$.fragment,e),m(se.$$.fragment,e),m(ne.$$.fragment,e),m(ve.$$.fragment,e),m(ye.$$.fragment,e),m(we.$$.fragment,e),m(Ee.$$.fragment,e),m(Oe.$$.fragment,e),m(Ie.$$.fragment,e),Xl=!0)},o(e){b(_.$$.fragment,e),b(g.$$.fragment,e),b(A.$$.fragment,e),b(k.$$.fragment,e),b(I.$$.fragment,e),b(U.$$.fragment,e),b(Q.$$.fragment,e),b(te.$$.fragment,e),b(se.$$.fragment,e),b(ne.$$.fragment,e),b(ve.$$.fragment,e),b(ye.$$.fragment,e),b(we.$$.fragment,e),b(Ee.$$.fragment,e),b(Oe.$$.fragment,e),b(Ie.$$.fragment,e),Xl=!1},d(e){e&&(t(We),t(Ue),t(Fe),t(T),t(Ge),t(Je),t($),t(Qe),t(y),t(Xe),t(C),t(Ye),t(Ze),t(et),t(H),t(tt),t(lt),t(L),t(it),t(w),t(ot),t(rt),t(st),t(M),t(at),t(dt),t(P),t(ct),t(j),t(ut),t(E),t(nt),t(pt),t(ft),t(R),t(mt),t(bt),t(D),t(ht),t(O),t(vt),t(K),t(xt),t(Tt),t(_t),t(B),t($t),t(yt),t(z),t(Ct),t(S),t(Ht),t(q),t(gt),t(Lt),t(wt),t(N),t(Mt),t(At),t(V),t(Pt),t(W),t(jt),t(F),t(Et),t(G),t(Rt),t(kt),t(Dt),t(J),t(Ot),t(Kt),t(X),t(Bt),t(Y),t(It),t(Z),t(zt),t(St),t(qt),t(ee),t(Nt),t(Ut),t(le),t(Vt),t(ie),t(Wt),t(oe),t(Ft),t(Gt),t(Jt),t(re),t(Qt),t(Xt),t(ae),t(Yt),t(de),t(Zt),t(ce),t(el),t(tl),t(ll),t(ue),t(il),t(ol),t(pe),t(rl),t(fe),t(sl),t(me),t(al),t(be),t(dl),t(cl),t(ul),t(he),t(nl),t(pl),t(xe),t(fl),t(Te),t(ml),t(_e),t(bl),t(hl),t(vl),t($e),t(xl),t(Tl),t(Ce),t(_l),t(He),t($l),t(ge),t(yl),t(Cl),t(Hl),t(Le),t(gl),t(Ll),t(Me),t(wl),t(Ae),t(Ml),t(Pe),t(Al),t(Pl),t(jl),t(je),t(El),t(Rl),t(Re),t(kl),t(ke),t(Dl),t(Ol),t(Kl),t(De),t(Bl),t(Il),t(Ke),t(zl),t(Sl),t(ql),t(Be),t(Nl),t(Ul),t(ze),t(Vl),t(Se),t(Wl),t(qe),t(Fl),t(Ne),t(Gl),t(Jl),t(Ql),t(Ve)),t(x),h(_,e),h(g,e),h(A,e),h(k,e),h(I,e),h(U,e),h(Q,e),h(te,e),h(se,e),h(ne,e),h(ve,e),h(ye,e),h(we,e),h(Ee,e),h(Oe,e),h(Ie,e)}}}const eo='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.Callable : <code> * </code>","local":"utilscorecallable--code--code","sections":[],"depth":2},{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isString(text) ⇒ <code> boolean </code>","local":"utilscoreisstringtext--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.exists(x) ⇒ <code> boolean </code>","local":"utilscoreexistsx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array </code>","local":"utilscorecalculatedimensionsarr--code-array-code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core.get_bounding_box(box, asInteger) ⇒ <code> Object </code>","local":"utilscoregetboundingboxbox-asinteger--code-object-code","sections":[],"depth":2},{"title":"utils/core~Callable","local":"utilscorecallable","sections":[{"title":"new Callable()","local":"new-callable","sections":[],"depth":3},{"title":"callable._call(...args)","local":"callablecallargs","sections":[],"depth":3}],"depth":2}],"depth":1}';function to(Yl){return Gi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ro extends Ji{constructor(x){super(),Qi(this,x,to,Zi,Wi,{})}}export{ro as component};
